import { Validation } from '../../models/validation';
export declare class BceForm {
    private el;
    design?: 'card';
    errors: Validation[];
    private _inputs;
    private handleClick;
    private handleSlotChange;
    reset(): Promise<void>;
    submit(): Promise<void>;
    validate(silent?: boolean): Promise<Validation[]>;
    private findParentDialog;
    componentDidLoad(): void;
    render(): any;
}
